package jp.ac.nii.icpc2010.score;

public abstract class AbstractScore implements Comparable<AbstractScore>{
	public abstract String toString();
	public abstract double getValue();
	public abstract void add(AbstractScore score);

	// you have to implement the following static method.
	//public static AScore[] getScores(PlayField playField);
}
